org.apache.felix.bundlerepository.impl

## Class PullParser

- java.lang.Object
- - org.apache.felix.bundlerepository.impl.RepositoryParser
  - - org.apache.felix.bundlerepository.impl.PullParser

    public class PullParser
    extends RepositoryParser

Repository XML xml based on StaX

### Field Summary

### Fields inherited from class org.apache.felix.bundlerepository.impl.RepositoryParser

`CAPABILITY, CATEGORY, DEPTH, EXTEND, FILTER, ID, LASTMODIFIED, MULTIPLE, N, NAME, OBR_PARSER_CLASS, OPTIONAL, P, REFERRAL, REPOSITORY, REQUIRE, RESOURCE, T, URL, V`

### Constructor Summary

Constructors
Constructor and Description
`PullParser()`

### Method Summary

Methods
`RepositoryImpl` `parse(org.xmlpull.v1.XmlPullParser reader)`
`CapabilityImpl` `parseCapability(java.io.Reader r)`
`CapabilityImpl` `parseCapability(org.xmlpull.v1.XmlPullParser reader)`
`java.lang.String` `parseCategory(org.xmlpull.v1.XmlPullParser reader)`
`PropertyImpl` `parseProperty(java.io.Reader r)`
`PropertyImpl` `parseProperty(org.xmlpull.v1.XmlPullParser reader)`
`Referral` `parseReferral(org.xmlpull.v1.XmlPullParser reader)`
`RepositoryImpl` `parseRepository(java.io.InputStream is, java.lang.String repositoryURI)`
`RepositoryImpl` `parseRepository(java.io.Reader r)`
`RequirementImpl` `parseRequire(org.xmlpull.v1.XmlPullParser reader)`
`RequirementImpl` `parseRequirement(java.io.Reader r)`
`ResourceImpl` `parseResource(java.io.Reader r)`
`ResourceImpl` `parseResource(org.xmlpull.v1.XmlPullParser reader)`

### Methods inherited from class org.apache.felix.bundlerepository.impl.RepositoryParser

`getParser`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PullParser

    public PullParser()

### Method Detail

#### parseRepository

    public RepositoryImpl parseRepository(java.io.InputStream is,
                                 java.lang.String repositoryURI)
                                   throws java.lang.Exception

Specified by:
  `parseRepository` in class `RepositoryParser`
Throws:
  `java.lang.Exception`

#### parseRepository

    public RepositoryImpl parseRepository(java.io.Reader r)
                                   throws java.lang.Exception

Specified by:
  `parseRepository` in class `RepositoryParser`
Throws:
  `java.lang.Exception`

#### parseResource

    public ResourceImpl parseResource(java.io.Reader r)
                               throws java.lang.Exception

Specified by:
  `parseResource` in class `RepositoryParser`
Throws:
  `java.lang.Exception`

#### parseCapability

    public CapabilityImpl parseCapability(java.io.Reader r)
                                   throws java.lang.Exception

Specified by:
  `parseCapability` in class `RepositoryParser`
Throws:
  `java.lang.Exception`

#### parseProperty

    public PropertyImpl parseProperty(java.io.Reader r)
                               throws java.lang.Exception

Specified by:
  `parseProperty` in class `RepositoryParser`
Throws:
  `java.lang.Exception`

#### parseRequirement

    public RequirementImpl parseRequirement(java.io.Reader r)
                                     throws java.lang.Exception

Specified by:
  `parseRequirement` in class `RepositoryParser`
Throws:
  `java.lang.Exception`

#### parse

    public RepositoryImpl parse(org.xmlpull.v1.XmlPullParser reader)
                         throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### parseReferral

    public Referral parseReferral(org.xmlpull.v1.XmlPullParser reader)
                           throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### parseResource

    public ResourceImpl parseResource(org.xmlpull.v1.XmlPullParser reader)
                               throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### parseCategory

    public java.lang.String parseCategory(org.xmlpull.v1.XmlPullParser reader)
                                   throws java.io.IOException,
                                          org.xmlpull.v1.XmlPullParserException

Throws:
  `java.io.IOException`
  `org.xmlpull.v1.XmlPullParserException`

#### parseCapability

    public CapabilityImpl parseCapability(org.xmlpull.v1.XmlPullParser reader)
                                   throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### parseProperty

    public PropertyImpl parseProperty(org.xmlpull.v1.XmlPullParser reader)
                               throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### parseRequire

    public RequirementImpl parseRequire(org.xmlpull.v1.XmlPullParser reader)
                                 throws java.lang.Exception

Throws:
  `java.lang.Exception`